summaryrefslogtreecommitdiffstats
path: root/compat
diff options
context:
space:
mode:
authorTimo Rothenpieler <timo@rothenpieler.org>2017-05-11 22:53:41 +0200
committerTimo Rothenpieler <timo@rothenpieler.org>2017-05-15 11:46:50 +0200
commitf1ab71b04636edf74a2c9376d80d65981c5ec778 (patch)
tree216a6c7457d33b0aa84d02c4598bdcb95b4b920e /compat
parent6a3740572dfeef2628a1c54ba61e7e413bfb55f8 (diff)
downloadffmpeg-streaming-f1ab71b04636edf74a2c9376d80d65981c5ec778.zip
ffmpeg-streaming-f1ab71b04636edf74a2c9376d80d65981c5ec778.tar.gz
build: add support for building .cu files via nvcc
Original work by Yogender Gupta <ygupta@nvidia.com>
Diffstat (limited to 'compat')
-rw-r--r--compat/cuda/ptx2c.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/compat/cuda/ptx2c.sh b/compat/cuda/ptx2c.sh
new file mode 100644
index 0000000..987b0c4
--- /dev/null
+++ b/compat/cuda/ptx2c.sh
@@ -0,0 +1,36 @@
+# Copyright (c) 2017, NVIDIA CORPORATION. All rights reserved.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a
+# copy of this software and associated documentation files (the "Software"),
+# to deal in the Software without restriction, including without limitation
+# the rights to use, copy, modify, merge, publish, distribute, sublicense,
+# and/or sell copies of the Software, and to permit persons to whom the
+# Software is furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
+# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+# DEALINGS IN THE SOFTWARE.
+
+set -e
+
+OUT="$1"
+IN="$2"
+NAME="$(basename "$IN")"
+NAME="${NAME/.ptx/}"
+
+echo -n "const char ${NAME}_ptx[] = \\" > "$OUT"
+while read LINE
+do
+echo -ne "\n\t\"$LINE\\\n\"" >> "$OUT"
+done < "$IN"
+echo ";" >> "$OUT"
+
+exit 0
+
OpenPOWER on IntegriCloud